JUCE: ResizableWindow::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ResizableWindow::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » windows

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality. More...

`#include <juce_ResizableWindow.h>`

Inheritance diagram for ResizableWindow::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawCornerResizer (Graphics &, int w, int h, bool isMouseOver, bool isMouseDragging)=0
virtual void | drawResizableFrame (Graphics &, int w, int h, const BorderSize< int > &)=0
virtual void | fillResizableWindowBackground (Graphics &, int w, int h, const BorderSize< int > &, ResizableWindow &)=0
virtual void | drawResizableWindowBorder (Graphics &, int w, int h, const BorderSize< int > &border, ResizableWindow &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual ResizableWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawCornerResizer()

virtual void ResizableWindow::LookAndFeelMethods::drawCornerResizer | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | bool | isMouseOver,
|  | bool | isMouseDragging
| ) |  |
| pure virtual

Implemented in LookAndFeel_V1, and LookAndFeel_V2.

## ◆ drawResizableFrame()

virtual void ResizableWindow::LookAndFeelMethods::drawResizableFrame | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const BorderSize< int > & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ fillResizableWindowBackground()

virtual void ResizableWindow::LookAndFeelMethods::fillResizableWindowBackground | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const BorderSize< int > & | ,
|  | ResizableWindow & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawResizableWindowBorder()

virtual void ResizableWindow::LookAndFeelMethods::drawResizableWindowBorder | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const BorderSize< int > & | border,
|  | ResizableWindow & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_ResizableWindow.h